import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IReviewHistoryEntry } from '../review-history-entry.model';
import { ReviewHistoryEntryService } from '../service/review-history-entry.service';

@Component({
  templateUrl: './review-history-entry-delete-dialog.component.html',
})
export class ReviewHistoryEntryDeleteDialogComponent {
  reviewHistoryEntry?: IReviewHistoryEntry;

  constructor(protected reviewHistoryEntryService: ReviewHistoryEntryService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.reviewHistoryEntryService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
