import { IReview } from 'app/entities/review/review.model';
import { IUser } from 'app/entities/user/user.model';
import { IReviewHistoryEntry } from 'app/entities/review-history-entry/review-history-entry.model';
import { ReviewStatus } from 'app/entities/enumerations/review-status.model';

export interface IReviewRating {
  id?: number;
  comment?: string | null;
  status?: ReviewStatus | null;
  review?: IReview | null;
  user?: IUser | null;
  histories?: IReviewHistoryEntry[] | null;
}

export class ReviewRating implements IReviewRating {
  constructor(
    public id?: number,
    public comment?: string | null,
    public status?: ReviewStatus | null,
    public review?: IReview | null,
    public user?: IUser | null,
    public histories?: IReviewHistoryEntry[] | null
  ) {}
}

export function getReviewRatingIdentifier(reviewRating: IReviewRating): number | undefined {
  return reviewRating.id;
}
