package at.ac.uibk.gitsearch.service.mapper;

import static org.assertj.core.api.Assertions.assertThat;

import at.ac.uibk.gitsearch.domain.Likes;
import java.time.LocalDate;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class LikesMapperTest {

    private LikesMapper likesMapper;

    @BeforeEach
    public void setUp() {
        likesMapper = new LikesMapperImpl();
    }

    @Test
    public void testLikesMapper() {
        final LocalDate now = LocalDate.now();
        Likes l = new Likes().userID(25).exerciseID("[1234]").date(now);
        Likes lMapped = likesMapper.toEntity(likesMapper.toDto(l));

        assertThat(lMapped.getUserID()).isEqualTo(25);
        assertThat(lMapped.getDate()).isEqualTo(now);
        assertThat(lMapped.getExerciseID()).isEqualTo("[1234]");
    }
}
